SimpleTextKnnVectorsWriter (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.simpletext, class: SimpleTextKnnVectorsWriter

Package org.apache.lucene.codecs.simpletext

# Class SimpleTextKnnVectorsWriter

java.lang.Object
org.apache.lucene.codecs.KnnVectorsWriter
org.apache.lucene.codecs.BufferingKnnVectorsWriter
org.apache.lucene.codecs.simpletext.SimpleTextKnnVectorsWriter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Accountable`

public class SimpleTextKnnVectorsWriter extends BufferingKnnVectorsWriter
Writes vector-valued fields in a plain text format

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.codecs.KnnVectorsWriter

  `KnnVectorsWriter.MergedVectorValues`

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `finish()`
  `void`
  `writeField(FieldInfo fieldInfo, ByteVectorValues byteVectorValues, int maxDoc)`
  `void`
  `writeField(FieldInfo fieldInfo, FloatVectorValues floatVectorValues, int maxDoc)`

  ### Methods inherited from class org.apache.lucene.codecs.BufferingKnnVectorsWriter

  `addField, flush, mergeOneField, ramBytesUsed`

  ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsWriter

  `mapOldOrdToNewOrd, merge`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Method Details

  - ### writeField

    public void writeField(FieldInfo fieldInfo, FloatVectorValues floatVectorValues, int maxDoc) throws IOException
    Specified by:
      `writeField` in class `BufferingKnnVectorsWriter`
    Throws:
      `IOException`

  - ### writeField

    public void writeField(FieldInfo fieldInfo, ByteVectorValues byteVectorValues, int maxDoc) throws IOException
    Specified by:
      `writeField` in class `BufferingKnnVectorsWriter`
    Throws:
      `IOException`

  - ### finish

    public void finish() throws IOException
    Specified by:
      `finish` in class `KnnVectorsWriter`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`